Metric
List metric definitions
Fetch all metric definitions available in the project, including both system-generated and custom metrics.
GET
/
v1
/
metric
/
definitions
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.metric.listDefinitions();
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.metric.list_definitions()
print(response.data)curl --request GET \
--url https://api.roark.ai/v1/metric/definitions \
--header 'Authorization: Bearer <token>'
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"metricId": "<string>",
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"type": "COUNT",
"scope": "GLOBAL",
"supportedContexts": [
"CALL"
],
"calculationType": "LLM_JUDGE",
"unit": {
"name": "<string>",
"symbol": "<string>"
}
}
]
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
All metric definitions available in the project
data
(LLM judge metric · object | Provider metric · object | Threshold metric · object | Formula metric · object | Pattern metric · object)[]
required
Metrics response payload
Metric definition data. The variant is selected by calculationType.
- LLM judge metric
- Provider metric
- Threshold metric
- Formula metric
- Pattern metric
Show child attributes
Show child attributes
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.metric.listDefinitions();
console.log(response.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.metric.list_definitions()
print(response.data)